POST/auth/token

Authentication

This endpoint authenticates the validity of a username and password combination. A valid token will be generated if the authentication is successful. Use the username and password provided to you in your ReviewsAPI packet.
POST/auth/token

Mandatory Fields

  • userName
  • password

Bearer Token Authentication

The access token must be appended to the 'Authorization Header' as depicted in the example below:

Authorization: Bearer A90324XXZUZUgpO0dd6npHcM83CJ...

Parameters

NameInTypeRequiredDescription
bodybodyRequirednone
» userNamebodystringRequiredIt represents the username of the user.
» passwordbodystringRequiredIt represents the password associated with the user.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
404Not FoundUser Not FoundNone
500Internal Server ErrorInternal server errorNone

Code Samples

# You can also use wget
curl -X POST /auth/token \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json'

Body parameter

{
  "userName": "string",
  "password": "string"
}

Example responses

200 Response
{
  "accessToken": "string",
  "tokenType": "Bearer",
  "expiresIn": "1d",
  "userName": "string",
  ".issued": "2025-05-06T14:15:22Z",
  ".expires": "2025-05-06T14:15:22Z"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.